package com.realnet.OpenAi.Models;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties(ignoreUnknown = true)
public class UnsplashPhotoResponse {
	private List<Result> results;

	public List<Result> getResults() {
		return results;
	}

	public void setResults(List<Result> results) {
		this.results = results;
	}

	@JsonIgnoreProperties(ignoreUnknown = true)
	public static class Result {
		private Urls urls;

		public Urls getUrls() {
			return urls;
		}

		public void setUrls(Urls urls) {
			this.urls = urls;
		}
	}

	@JsonIgnoreProperties(ignoreUnknown = true)
	public static class Urls {
		private String regular;

		public String getRegular() {
			return regular;
		}

		public void setRegular(String regular) {
			this.regular = regular;
		}
	}
}
